# Review at https://bugzilla.redhat.com/show_bug.cgi?id=710672

Name:           pnmixer
Version:        0.3
Release:        1%{?dist}
Summary:        Lightweight mixer applet

Group:          Applications/Multimedia
License:        GPLv3
URL:            https://github.com/nicklan/pnmixer/wiki
Source0:        https://github.com/downloads/nicklan/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
# Don't print useless messages to xsession-errors
Patch0:         pnmixer-0.3-on_mixer.patch
# Set default mouse scroll step to 5
Patch1:         pnmixer-0.3-mouse_scroll_step.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  alsa-lib-devel
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Obsoletes:      obmixer <= 0.11

%description
PNMixer is system tray sound mixer. Currently it supports ALSA and Pulse audio.
It is written in C, depends only on GTK+, and does not require Gnome.

PNMixer is a fork of OBMixer with a number of additions. These include:
* Volume adjustment with the scroll wheel
* Textual display of volume level in popup window
* Continuous volume adjustment when dragging the slider (not just when you let
  go)
* Use system icon theme for icons and use mute/low/medium/high volume icons
* Configurable middle click action (default is mute/unmute)
* Preferences for:
  * volume text display
  * volume text position
  * icon theme
  * amount to adjust per scroll
  * middle click action


%prep
%setup -q
%patch0 -p1 -b .on_mixer
%patch1 -p1 -b .mouse_scroll_step
NOCONFIGURE=yes ./autogen.sh


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

desktop-file-install                                    \
    --dir=${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart \
    %{SOURCE1}

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%config %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Wed Jun 08 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.3-1
- Update to 0.3
- Change license tag to GPLv3 (only)
- Patch default mouse scroll step to 5

* Fri Jun 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.2-1
- Initial package based on obmixer package
